summaryrefslogtreecommitdiff
path: root/dev-python/textx
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-07-09 03:04:33 -0500
committerroot <root@alpha.trunkmasters.com>2026-07-09 03:04:33 -0500
commita96a971c845e2cd3ffad3b8f63558c6408897f0a (patch)
tree9431452ee7738105e3d34fdaa7a4ac405c646c8b /dev-python/textx
parent897a58deb079b5691d4424cc15517aea6e422808 (diff)
downloadbaldeagleos-repo-a96a971c845e2cd3ffad3b8f63558c6408897f0a.tar.gz
baldeagleos-repo-a96a971c845e2cd3ffad3b8f63558c6408897f0a.tar.xz
baldeagleos-repo-a96a971c845e2cd3ffad3b8f63558c6408897f0a.zip
Adding metadata
Diffstat (limited to 'dev-python/textx')
-rw-r--r--dev-python/textx/Manifest1
-rw-r--r--dev-python/textx/textx-4.4.0.ebuild60
2 files changed, 61 insertions, 0 deletions
diff --git a/dev-python/textx/Manifest b/dev-python/textx/Manifest
index 373758100fab..529d8e821222 100644
--- a/dev-python/textx/Manifest
+++ b/dev-python/textx/Manifest
@@ -1 +1,2 @@
DIST textX-4.3.0.gh.tar.gz 2228585 BLAKE2B 5693a3304d16c45d5048999fffb3a4954ca7102b79e23f4c8186bcca5a7629931db61ca666be6cb022da05e8299a756656f7aa58e0ef0ac72a5c00a605bbf2dc SHA512 602ffed8be2b333eb9cb53d4af4e03dfdac615d5491d3c146a90d7fcada1109f0384af5f98f99656f6d8c6ca1022e1f8d7d735cfaa30690509b88f7075317031
+DIST textX-4.4.0.gh.tar.gz 2255070 BLAKE2B f043f578d224b42afff882b00f95398e93ef1557ae0ee00582fcb762a1f58cb0c4ea3c670b7cf903dc7969606b136d25591a09cf7724dba3090abbc3141b3957 SHA512 c454e0937ffb20c3eed72fc3a5839b8da094ff4c804b53d6bd0e05f4a513ef82e9846734a4259599664c44771a13a95cb11040bec52d0962a8edc7a43675f6a7
diff --git a/dev-python/textx/textx-4.4.0.ebuild b/dev-python/textx/textx-4.4.0.ebuild
new file mode 100644
index 000000000000..2e36d32d2acb
--- /dev/null
+++ b/dev-python/textx/textx-4.4.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit-core
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P=textX-${PV}
+DESCRIPTION="Meta-language for DSL implementation inspired by Xtext"
+HOMEPAGE="
+ https://pypi.org/project/textX/
+ https://github.com/textX/textX/
+"
+SRC_URI="
+ https://github.com/textX/textX/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/arpeggio-2.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ # Update the shebang
+ sed -e "s:install/usr/bin/${EPYTHON}:test/usr/bin/${EPYTHON}:" \
+ -i "${BUILD_DIR}"/test/usr/bin/textx || die
+
+ # Install necessary plugins
+ local plugins=(
+ tests/functional/subcommands/example_project
+ tests/functional/registration/projects/*
+ )
+ local p
+ for p in "${plugins[@]}"; do
+ pushd "${p}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ epytest tests/functional
+}